close all;                                    % 모든 생성된 창을 닫음 
clear all;                                    % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                          % 명령(command) 창을 비움

k=0:30;                                       % 주파수축(고조파의 차수)을 설정함
w0=pi;                                        % 기본 주파수 설정
R=1; C=1;                                     % R과 C의 값 설정 
c0=0.5;                                       % 입력 푸리에 계수 직류 항 값 설정  
for n=1:2:29; 
  Yk(n)=sinc(n/2)*(1/C/(j*n*w0+1/R/C));       % 출력의 스펙트럼 계산
  Yk(n+1)=0;
end
Yk=[c0*R Yk];                                 % 직류항 포함한 출력 스펙트럼 생성

subplot(2,1,1);                               % 2행 1열 분할 그림창의 1번 창
stem(k,abs(Yk));                              % 출력의 진폭 스펙트럼을 그림
title('\bf{진폭 스펙트럼}');                   % 그림 제목
xlabel('\bf{k}'); grid on;                    % x축 라벨 및 그리드 표시  
subplot(2,1,2);                               % 2행 1열 분할 그림창의 1번 창
stem(k,angle(Yk));                            % 출력의 위상 스펙트럼을 그림 
title('\bf{위상 스펙트럼}');                   % 그림 제목
xlabel('\bf{k}'); grid on;                    % y축 라벨 및 그리드 표시